XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

Procedure Example()
  sFldr1.s = "C:\Test1\"
  sFldr2.s = "C:\Test1\Folder1\"
  sFldr3.s = "C:\Test1\Folder1\Folder2\"

  If DirGetSize(sFldr1) <> -1
    MsgBox(#MB_SYSTEMMODAL, "", "Directory already exists!")
    ProcedureReturn #False
  EndIf

  DirCreate(sFldr3)

  RunWait("explorer /root, C:\Test1\Folder1")
  hWnd = WinGetHandle("[TITLE:Folder1;CLASS:CabinetWClass]")

  MsgBox(#MB_SYSTEMMODAL, "", "Explorer is opened with Folder2 displayed.")

  DirRemove(sFldr3, 1)
  MsgBox(#MB_SYSTEMMODAL, "", "The sub folder: Folder2 has been deleted.")

  WinClose(Str(hWnd))

  DirRemove(sFldr1, 1) ;clean up test folders
EndProcedure

Example()
