XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

; Create a file.
Procedure FileCreate(sFilePath.s, sString.s)
  fReturn = #True ; Create a variable to store a boolean value.
  If Not FileExists(sFilePath)
    fReturn = FileWrite(sFilePath, sString)
  EndIf
  ProcedureReturn fReturn
EndProcedure

Procedure Example()
  ; Create a constant variable in Local scope of the filepath that will be read/written to.
  sFilePath.s = _TempDir() + "\FileCopy.au3"

  ; Create a temporary file to copy.
  If Not FileCreate(sFilePath, "This is an example of using FileCopy.")
    ProcedureReturn MsgBox(#MB_SYSTEMMODAL, "", "An error occurred whilst writing the temporary file.")
  EndIf

  ; Copy Au3 files in the temporary directory to a new folder/directory called Au3Files.
  FileCopy(_TempDir() + "\*.au3", _TempDir() + "\Au3Files\", #FC_OVERWRITE | #FC_CREATEPATH)

  ; Display the temporary directory.
  ShellExecute(_TempDir())
EndProcedure

Example()
