XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

Sleep(1000) ; Allow time for the cursor to change its state.

; Create an array of possible cursor states using StringSplit.
Dim aArray.s(0)
StringSplit(aArray(), "Unknown|AppStarting|Arrow|Cross|Help|IBeam|Icon|No|" +
     "Size|SizeAll|SizeNESW|SizeNS|SizeNWSE|SizeWE|UpArrow|Wait|Hand", "|", 2)

;   The array will contain the following values:
;   aArray(0) = "Unknown"
;   aArray(1) = "AppStarting"
;   aArray(2) = "Arrow"
;   ..
;   aArray(1)] = "Hand"

iCursor = MouseGetCursor()
MsgBox(#MB_SYSTEMMODAL, "CursorID = " + iCursor, "Which means " + aArray(iCursor) + ".") ; Use the CursorID value as the index value of the array
