XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

Procedure Example()
  ; relative coords to the client area of the active window
  Opt("CaretCoordMode", 2)

  ; Run Notepad
  Run("notepad.exe")

  ; Wait 10 seconds for the Notepad window to appear.
  hWnd.s = Str(WinWait("[CLASS:Notepad]", "", 10))

  WinActivate("[CLASS:Notepad]")
  Send("test{Enter}1 2 3")

  MsgBox(#MB_SYSTEMMODAL, "", "The coordinates of the caret in the foreground window is " + WinGetCaretPos())

  ; Close the Notepad window using the handle returned by WinWait.
  WinClose(hWnd)

  ; Now a screen will pop up and ask to save the changes, the classname of the window is called
  ; "#32770" and simulating the "TAB" key to move to the second button in which the "ENTER" is simulated to not "save the file"
  WinWaitActive("[CLASS:#32770]")
  Sleep(500)
  Send("{TAB}{ENTER}")
EndProcedure

Example()
