XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

Procedure Example()
  ; Run Notepad
  Run("notepad.exe")

  ; Wait 10 seconds for the Notepad window to appear.
  hWnd.s = Str(WinWait("[CLASS:Notepad]", "", 10))

  ; Retrieve the position as well as the height and width of the Notepad window. We will use this when we have to move the window back to the original position.
  aPos.s = WinGetPos(hWnd)
  a0 = Val(StringField(aPos, 1, ","))
  a1 = Val(StringField(aPos, 2, ","))
  a2 = Val(StringField(aPos, 3, ","))
  a3 = Val(StringField(aPos, 4, ","))

  ; Move the Notepad to the x, y position of 0, 0 and set the height and width at 200, 200.
  WinMove(hWnd, "", 0, 0, 200, 200)

  ; Wait for 2 seconds to display the new position of the Notepad window.
  Sleep(2000)

  ; Move the Notepad window back to the original position by using the array returned by WinGetPos.
  WinMove(hWnd, "", a0, a1, a2, a3)

  ; Wait for 2 seconds to display the original position of the Notepad window.
  Sleep(2000)

  ; Close the Notepad window using the handle returned by WinWait.
  WinClose(hWnd)
EndProcedure

Example()
