XIncludeFile "..\PureAutoIt.pbi"
UseModule PureAutoIt

Procedure Example()
  sMsg.s = ""
  sMsg + "Error: " + _Error() + #CRLF$
  sMsg + "Extended: " + _Extended() + #CRLF$
  sMsg + "WorkingDir: " + _WorkingDir() + #CRLF$
  sMsg + "ProgramName: " + _ProgramName() + #CRLF$             ; A.K.A. @ScriptName
  sMsg + "ProgramDir: " + _ProgramDir() + #CRLF$               ; A.K.A. @ScriptDir
  sMsg + "ProgramFullPath: " + _ProgramFullPath() + #CRLF$     ; A.K.A. @ScriptFullPath
  sMsg + "ProgramExe: " + _ProgramExe() + #CRLF$               ; A.K.A. @AutoItExe
  sMsg + "ProgramPID: " + _ProgramPID() + #CRLF$               ; A.K.A. @AutoItPID
  sMsg + "PureAutoItVersion: " + _PureAutoItVersion() + #CRLF$ ; A.K.A. @AutoItVersion
  sMsg + "PureAutoItX64: " + _PureAutoItX64() + #CRLF$         ; A.K.A. @AutoItX64
  MsgBox(#MB_SYSTEMMODAL, "PureAutoIt-related macros.", sMsg)

  sMsg.s = ""
  sMsg + "AppDataCommonDir: " + _AppDataCommonDir() + #CRLF$
  sMsg + "DesktopCommonDir: " + _DesktopCommonDir() + #CRLF$
  sMsg + "DocumentsCommonDir: " + _DocumentsCommonDir() + #CRLF$
  sMsg + "FavoritesCommonDir: " + _FavoritesCommonDir() + #CRLF$
  sMsg + "ProgramsCommonDir: " + _ProgramsCommonDir() + #CRLF$
  sMsg + "StartMenuCommonDir: " + _StartMenuCommonDir() + #CRLF$
  sMsg + "StartupCommonDir: " + _StartupCommonDir() + #CRLF$
  MsgBox(#MB_SYSTEMMODAL, "Macros for all users data.", sMsg)

  sMsg.s = ""
  sMsg + "AppDataDir: " + _AppDataDir() + #CRLF$
  sMsg + "LocalAppDataDir: " + _LocalAppDataDir() + #CRLF$
  sMsg + "DesktopDir: " + _DesktopDir() + #CRLF$
  sMsg + "MyDocumentsDir: " + _MyDocumentsDir() + #CRLF$
  sMsg + "FavoritesDir: " + _FavoritesDir() + #CRLF$
  sMsg + "ProgramsDir: " + _ProgramsDir() + #CRLF$
  sMsg + "StartMenuDir: " + _StartMenuDir() + #CRLF$
  sMsg + "StartupDir: " + _StartupDir() + #CRLF$
  sMsg + "UserProfileDir: " + _UserProfileDir() + #CRLF$
  MsgBox(#MB_SYSTEMMODAL, "Macros for current user data.", sMsg)

  sMsg.s = ""
  sMsg + "HomeDrive: " + _HomeDrive() + #CRLF$
  sMsg + "HomePath: " + _HomePath() + #CRLF$
  sMsg + "ProgramFilesDir: " + _ProgramFilesDir() + #CRLF$
  sMsg + "CommonFilesDir: " + _CommonFilesDir() + #CRLF$
  sMsg + "WindowsDir: " + _WindowsDir() + #CRLF$
  sMsg + "SystemDir: " + _SystemDir() + #CRLF$
  sMsg + "TempDir: " + _TempDir() + #CRLF$
  sMsg + "ComSpec: " + _ComSpec() + #CRLF$
  MsgBox(#MB_SYSTEMMODAL, "Macros for the computer system.", sMsg)

  sMsg.s = ""
  sMsg + "CPUArch: " + _CPUArch() + #CRLF$
  sMsg + "KBLayout: " + _KBLayout() + #CRLF$
  sMsg + "MUILang: " + _MUILang() + #CRLF$
  sMsg + "OSArch: " + _OSArch() + #CRLF$
  sMsg + "OSLang: " + _OSLang() + #CRLF$
  sMsg + "OSType: " + _OSType() + #CRLF$
  sMsg + "OSVersion: " + _OSVersion() + #CRLF$
  sMsg + "OSBuild: " + _OSBuild() + #CRLF$
  sMsg + "OSServicePack: " + _OSServicePack() + #CRLF$
  sMsg + "ComputerName: " + _ComputerName() + #CRLF$
  sMsg + "UserName: " + _UserName() + #CRLF$
  sMsg + "IPAddress1: " + _IPAddress1() + #CRLF$
  sMsg + "IPAddress2: " + _IPAddress2() + #CRLF$
  sMsg + "IPAddress3: " + _IPAddress3() + #CRLF$
  sMsg + "IPAddress4: " + _IPAddress4() + #CRLF$
  sMsg + "DesktopHeight: " + _DesktopHeight() + #CRLF$
  sMsg + "DesktopWidth: " + _DesktopWidth() + #CRLF$
  sMsg + "DesktopDepth: " + _DesktopDepth() + #CRLF$
  sMsg + "DesktopRefresh: " + _DesktopRefresh() + #CRLF$
  MsgBox(#MB_SYSTEMMODAL, "Macros for the system information.", sMsg)

  sMsg.s = ""
  sMsg + "MSEC: " + _MSEC() + #CRLF$
  sMsg + "SEC: " + _SEC() + #CRLF$
  sMsg + "MIN: " + _MIN() + #CRLF$
  sMsg + "HOUR: " + _HOUR() + #CRLF$
  sMsg + "MDAY: " + _MDAY() + #CRLF$
  sMsg + "MON: " + _MON() + #CRLF$
  sMsg + "YEAR: " + _YEAR() + #CRLF$
  sMsg + "WDAY: " + _WDAY() + #CRLF$
  sMsg + "YDAY: " + _YDAY() + #CRLF$
  MsgBox(#MB_SYSTEMMODAL, "Macros for time and date.", sMsg)

EndProcedure

Example()
