XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

Procedure Example()
  ; Create an INI section structure as a string.
  sSection.s = "Title=AutoIt" + #CRLF$ + "Version=" + _PureAutoItVersion() + #CRLF$ + "OS=" + _OSVersion()

  ; Write the string to the section labelled 'General'.
  IniWriteSectionString(_TempDir() + "\Example.ini", "General", sSection)

  ; Read the INI section labelled 'General'
  sKeys.s = IniReadSectionKeys(_TempDir() + "\Example.ini", "General")

  ; Check if an error occurred.
  If Not _Error()
    ; Displaying the keys.
    MsgBox(#MB_SYSTEMMODAL, "", "Keys: " + sKeys)
  EndIf

  ; Delete the INI file.
  FileDelete(_TempDir() + "\Example.ini")
EndProcedure

Example()
