XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

Procedure Example()
  ; Run Notepad
  Run("notepad.exe")

  ; Wait 10 seconds for the Notepad window to appear.
  hWnd.s = Str(WinWait("[CLASS:Notepad]", "", 10))

  ; Retrieve the handle of the edit control in Notepad. The handle returned by WinWait is used for the "title" parameter of ControlGetHandle.
  hControl = ControlGetHandle(hWnd, "", "Edit1")

  ; Display the handle of the edit control.
  MsgBox(#MB_SYSTEMMODAL, "", "The handle of Edit1 is: " + hControl)

  ; Close the Notepad window using the handle returned by WinWait.
  WinClose(hWnd)
EndProcedure

Example()
