XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

; Check if the filepath is a file. Does not validate if the file exists.
Procedure IsFile_(sFilePath.s)
  If StringInStr(FileGetAttrib(sFilePath), "D")
    ProcedureReturn #False
  EndIf
  ProcedureReturn #True
EndProcedure

Procedure Example()
  ; Assign a variable with the filepath to check on whether it's a file or not.
  sFilePath.s = _ScriptFullPath()

  If IsFile_(sFilePath)
    MsgBox(#MB_SYSTEMMODAL, "", "The filepath is a file.")
  Else
    MsgBox(#MB_SYSTEMMODAL, "", "The filepath is not a file.")
  EndIf
EndProcedure

Example()
