XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

; Press Esc to terminate script, Pause/Break to "pause"
Global fPaused = #False

Procedure TogglePause()
  fPaused = ~ fPaused
  If fPaused
    ToolTip(~"Script is \"Paused\"", 0, 0)
  Else
    ToolTip("")
  EndIf
EndProcedure

Procedure Terminate()
  End
EndProcedure

Procedure ShowMessage()
  MsgBox(#MB_SYSTEMMODAL, "", "This is a message.")
EndProcedure

HotKeySet("{PAUSE}", @TogglePause())
HotKeySet("{ESC}", @Terminate())
HotKeySet("+!d", @ShowMessage()) ; Shift-Alt-d

While 1
  Sleep(100)
WEnd

