XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

Procedure Example()
  sText.s = "This\nline\ncontains\nC-style breaks." ; Define a variable with a string of text.
  Dim aArray.s(0)
  length = StringSplit(aArray(), sText, "\n", #STR_ENTIRESPLIT) ; Pass the variable to StringSplit and using the delimeter "\n".
  ; Note that flag paramter is set to #STR_ENTIRESPLIT (1) as it would split at \ or n otherwise.

    ; The array returned will contain the following values:
    ; aArray(0) = Str(length)
    ; aArray(1) = "This"
    ; aArray(2) = "line"
    ; ...
    ; aArray(4) = "C-style breaks."

  For i = 1 To length ; Loop through the array returned by StringSplit to display the individual values.
    MsgBox(#MB_SYSTEMMODAL, "", "aArray(" + i + ") - " + aArray(i))
  Next
EndProcedure

Example()
