XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

Procedure Example()
  ; Run Notepad
  Run("notepad.exe")

  ; Wait 10 seconds for the Notepad window to appear.
  WinWait("[CLASS:Notepad]", "", 10)

  ; Retrieve the handle of the Notepad window using the classname of Notepad.
  hWnd.s = Str(WinGetHandle("[CLASS:Notepad]"))
  If _Error()
    MsgBox(#MB_SYSTEMMODAL, "", "An error occurred when trying to retrieve the window handle of Notepad.")
    End
  EndIf

  ; Display the handle of the Notepad window.
  MsgBox(#MB_SYSTEMMODAL, "", hWnd)

  ; Close the Notepad window using the handle returned by WinGetHandle.
  WinClose(hWnd)
EndProcedure

Example()
