XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

Procedure Example()
  ; Retrieve a list of window handles using a regular expression. The regular expression looks for titles that contain the word SciTE or PureBasic
  NewList items.WinInfo()
  WinList(items(), "[REGEXPTITLE:(?i)(.*SciTE.*|.*PureBasic.*)]")

  ForEach items()
    If items()\title <> "" And WinGetState(Str(items()\hwnd)) & 2
      MsgBox(#MB_SYSTEMMODAL, "", "Title: " + items()\title + #CRLF$ + "Handle: " + items()\hwnd)
    EndIf
  Next
EndProcedure

Example()
